#!/bin/bash

#To send emails, set the adcdress below and remove one of the "#" signs.
##SBATCH --mail-user den9562@rit.edu

# notify on state change: BEGIN, END, FAIL or ALL
#SBATCH --mail-type=ALL

# Request 5 minutes run time MAX, anything over will be KILLED
#SBATCH -t 6:00:00

# Put the job in the "debug" partition and request one core
# "debug" is a limited partition.  You'll likely want to change
# it to "work" once you understand how this all works.
#SBATCH -p work -c 1

# Job memory requirements in MB
#SBATCH --mem=2048

# Explicitly state you are a free user
#SBATCH --qos=free

python3 bloqqerbench.py $1 $2 $3.cnf $3.csv
