#!/bin/bash

export PYTHONPATH=..

prefix=$(basename $0 .sh);

python3 generate_experiments.py qcir ../../g127/isolators/bee20170615 9 ../qfun/qfun -L -r 10 -t 300 -i ../codishiso -s="-caps" -s="-i64" -s="-n4" -s="-b4" -s="-S4" $@ > $prefix-qfun-default.log
python3 generate_experiments.py qcir ../../g127/isolators/bee20170615 9 ../qfun/qfun -L -r 10 -t 300 -i ../codishiso -s="-caps" -s="-i64" -s="-n4" -s="-b4" -s="-S4" -s="-d" $@ > $prefix-qfun-nolearning.log
python3 generate_experiments.py qcir ../../g127/isolators/bee20170615 9 ../cqesto/src/cqesto -L -r 10 -t 300 -i ../codishiso $@ > $prefix-cqesto.log
python3 generate_experiments.py qcir ../../g127/isolators/bee20170615 9 ../quabs/build/quabs -L -r 10 -t 300 -i ../codishiso $@ > $prefix-quabs.log

join -t '&' $prefix-qfun-default.log $prefix-qfun-nolearning.log | join -t '&' - $prefix-cqesto.log | join -t '&' - $prefix-quabs.log | sed 's/$/\\\\\n\\hline/' > $prefix.tex
