#!/bin/bash

export PYTHONPATH=..

prefix=$(basename $0 .sh);

python3 generate_experiments.py qdimacs ../../g127/isolators/bee20170615 10 ../depqbf-version-6.03/depqbf -L -r 10 -t 600 -n nauty --PG $@ > $prefix-depqbf-default.log
python3 generate_experiments.py qdimacs ../../g127/isolators/bee20170615 10 ../depqbf-version-6.03/depqbf -L -r 10 -t 600 -n nauty --PG -s="--traditional-qcdcl" $@ > $prefix-depqbf-traditional-qcdcl.log
python3 generate_experiments.py qdimacs ../../g127/isolators/bee20170615 10 ../rareqs-1.1/rareqs -L -r 10 -t 600 -n nauty --PG -s="-uubp" -s="-h3" $@ > $prefix-rareqs-default.log
python3 generate_experiments.py qdimacs ../../g127/isolators/bee20170615 10 ../caqe/target/release/caqe -L -r 10 -t 600 -n nauty --PG $@ > $prefix-caqe-default.log
python3 generate_experiments.py qdimacs ../../g127/isolators/bee20170615 10 ../caqe/target/release/caqe -L -r 10 -t 600 -n nauty --PG -s="--expansion-refinement" -s 0 $@ > $prefix-caqe-no-expansion-refinement.log

join -t '&' $prefix-depqbf-default.log $prefix-depqbf-traditional-qcdcl.log | join -t '&' - $prefix-rareqs-default.log | join -t '&' - $prefix-caqe-default.log | join -t '&' - $prefix-caqe-no-expansion-refinement.log | sed 's/$/\\\\\n\\hline/' > $prefix.tex
