import sys
import math

def output_instance(l, instance):
    with open(instance, 'w') as outf:
        n = ord(l[0]) - 63
        k = int(math.ceil(n * (n - 1) / float(12)))
        assert(l[k + 1] == '\n')
        i = 0
        j = 1

        for b in range(1, k + 1):
            bstr = format(ord(l[b]) - 63, '06b')

            for bit in bstr:
                if bit == '1':
                    print("x(%d,%d)." % (i, j), file=outf)

                i += 1

                if i == j:
                    i = 0
                    j += 1

if __name__ == "__main__":
    gcount = 0
    
    with open(sys.argv[1], 'r') as graphs:
        for l in graphs:
            output_instance(l, "instance-%d.lp" % gcount)
            gcount += 1
