#!/bin/bash

export PYTHONPATH=..

prefix=$(basename $0 .sh);

python3 generate_experiments.py qdimacs ../../g127/isolators/bee20170615 9 ../depqbf-version-6.03/depqbf -L -r 10 -t 300 -i ../codishiso --PG $@ > $prefix-depqbf-default.log
python3 generate_experiments.py qdimacs ../../g127/isolators/bee20170615 9 ../depqbf-version-6.03/depqbf -L -r 10 -t 300 -i ../codishiso --PG -s="--traditional-qcdcl" $@ > $prefix-depqbf-traditional-qcdcl.log
python3 generate_experiments.py qdimacs ../../g127/isolators/bee20170615 9 ../caqe/target/release/caqe -L -r 10 -t 300 -i ../codishiso --PG $@ > $prefix-caqe-default.log
python3 generate_experiments.py qdimacs ../../g127/isolators/bee20170615 9 ../caqe/target/release/caqe -L -r 10 -t 300 -i ../codishiso --PG -s="--expansion-refinement" -s 0 $@ > $prefix-caqe-no-expansion-refinement.log

join -t '&' $prefix-depqbf-default.log $prefix-depqbf-traditional-qcdcl.log | join -t '&' - $prefix-caqe-default.log | join -t '&' - $prefix-caqe-no-expansion-refinement.log | sed 's/$/\\\\\n\\hline/' > $prefix.tex
